> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# モデルの作成

> モデルオブジェクトを作成します。



## OpenAPI

````yaml /ja/weave/reference/service-api/openapi.json post /v2/{entity}/{project}/models
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v2/{entity}/{project}/models:
    post:
      tags:
        - Models
      summary: モデルの作成
      description: モデルオブジェクトを作成します。
      operationId: model_create_v2__entity___project__models_post
      parameters:
        - in: path
          name: entity
          required: true
          schema:
            title: Entity
            type: string
        - in: path
          name: project
          required: true
          schema:
            title: Project
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ModelCreateBody'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelCreateRes'
          description: 正常なレスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    ModelCreateBody:
      properties:
        attributes:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          description: モデルとともに保存される追加属性
          title: Attributes
        description:
          anyOf:
            - type: string
            - type: 'null'
          description: このモデルの説明
          title: Description
        name:
          description: このモデルの名。同じ名のModelsはまとめてバージョン管理されます。
          title: Name
          type: string
        source_code:
          description: import を含む Model クラスの完全なソースコード
          title: Source Code
          type: string
      required:
        - name
        - source_code
      title: ModelCreateBody
      type: object
    ModelCreateRes:
      properties:
        digest:
          description: 作成されたモデルのダイジェスト
          title: Digest
          type: string
        model_ref:
          description: 作成されたモデルへの完全な参照
          title: Model Ref
          type: string
        object_id:
          description: 作成されたモデルのID
          title: Object Id
          type: string
        version_index:
          description: 作成されたモデルのバージョンインデックス
          title: Version Index
          type: integer
      required:
        - digest
        - object_id
        - version_index
        - model_ref
      title: ModelCreateRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````